php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #11208 ibase_blob_open crash apache 1.3.19/20
Submitted: 2001-05-31 06:45 UTC Modified: 2002-05-24 20:15 UTC
From: l dot colonna at iol dot it Assigned:
Status: Not a bug Package: InterBase related
PHP Version: 4.0.5 OS: windows 98 second edition
Private report: No CVE-ID: None
Welcome back! If you're the original bug submitter, here's where you can edit the bug or add additional notes.
If this is not your bug, you can add a comment by following this link.
If this is your bug, but you forgot your password, you can retrieve your password here.
Password:
Status:
Package:
Bug Type:
Summary:
From: l dot colonna at iol dot it
New email:
PHP Version: OS:

 

 [2001-05-31 06:45 UTC] l dot colonna at iol dot it
I have:
1) interbase 6.01
2) php-4.0.5 
3) apache 1.3.19 and .20
4) windows98 First edition

This string:

$var2 = ibase_blob_open($array[0]);

where $array[0] is the result of:

while($i <= $x) {
	$array = ibase_fetch_row($queryres);
	$i = $i + 1;
}

crash apache server ONLY under windows environment. I have also tried the same thing under linux 2.2.19 with apache 1.3.19 and php-4.0.5 but appear to be ok.

php.ini:

All default except:
extension dir (obviously :))
file_uploads = Off
extension=php_interbase.dll
extension=php_zlib.dll

This is the windows error:

APACHE ha provocato un errore di pagina non valida nel
modulo GDS32.DLL in 0177:4053ae97.
Registri:
EAX=00000013 CS=0177 EIP=4053ae97 EFLGS=00010203
EBX=007e8c10 SS=017f ESP=015efce0 EBP=015efd2c
ECX=00000004 DS=017f ESI=0070c068 FS=5d17
EDX=00000013 ES=017f EDI=00000000 GS=0000
Byte all'indirizzo CS:EIP:
f3 a5 8b ca 83 e1 03 f3 a4 8b 45 dc 25 ff ff 00 
Immagine dello stack:
007dfbbc 00000000 00000013 007e8c10 00000000 015efd10 bff7b77b bff741f7 bff7b9c5 0070cf00 00000013 00000008 00000000 0070c060 0070bf08 0070c314

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-05-24 20:15 UTC] derick@php.net
Thank you for taking the time to report a problem with PHP.
Unfortunately your version of PHP is too old -- the problem
might already be fixed. Please download a new PHP
version from http://www.php.net/downloads.php

If you are able to reproduce the bug with one of the latest
versions of PHP, please change the PHP version on this bug report
to the version you tested and change the status back to "Open".
Again, thank you for your continued support of PHP.


 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Thu Feb 27 18:01:29 2020 UTC